petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESLineSearchGetReason

Gets the success/failure status of the last line search application

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetReason(SNESLineSearch linesearch, SNESLineSearchReason *result)

### Input Parameters

linesearch -linesearch context

### Output Parameters

result -The success or failure status

### Notes

This is typically called after SNESLineSearchApply() in order to determine if the line-search failed (and set the SNES convergence accordingly).

### See Also

SNESLineSearchSetReason(), SNESLineSearchReason

### Level

intermediate

### Location

src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages